Bug 1373487 - Review Request: python33 - Version 3.3 of the Python programming language
Summary: Review Request: python33 - Version 3.3 of the Python programming language
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-06 11:59 UTC by Miro Hrončok
Modified: 2016-10-09 02:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-03 20:19:29 UTC
Type: ---
cstratak: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2016-09-06 11:59:29 UTC
Spec URL: https://github.com/fedora-python/python33/raw/master/python33.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python33-3.3.6-1.fc26.src.rpm

Description: Python 3.3 package for developers.
No security fixes will be applied.

Fedora Account System Username: churchyard
COPR: https://copr.fedorainfracloud.org/coprs/g/python/python33/

In the review, please note that this is a backport of the python3 package and the spec might be more complicated than necessary for the sake of much easier portability between python34 and python3.

On the other hand, please be thorough about things like conflicts with python3 package, upgrade paths, etc.

Also please note that:

https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Process

Contributors and reviewers MUST follow the Package Review Process, with the following exceptions:

* The package is being created so that multiple versions of the same package can coexist in the distribution. The package MUST be properly named according to the naming guidelines and MUST NOT conflict with all other versions of the same package.

I'd like the reviewer to check this condition first.

Comment 1 Charalampos Stratakis 2016-09-26 12:38:25 UTC
Package is updated to 3.3.6, the latest patch version of Python 3.3 upstream:

https://hg.python.org/cpython/raw-file/v3.3.6/Misc/NEWS

Rewheel mode is disabled.

Debug build is disabled.

Package is flat, meaning that there are no subpackages, all the files and directories are at the main package.

Binaries, as well as libraries and man pages are removed or renamed so they do not conflict with the system python3 package. The binary for this package is renamed to python33 and invoking it fires up the 3.3.6 shell.

python(abi) is not required/provided.

setuptools and pip are not bundled in this package as upstream started bundling them from python2 >= 2.7.9 and python3 >= 3.4. 

Tested on F23 VM which I upgraded to F24, F25 and rawhide. No regressions noted and nothing seems to conflict.

Package is accepted.

Comment 2 Gwyn Ciesla 2016-09-26 21:30:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python33

Comment 3 Fedora Update System 2016-09-27 20:22:24 UTC
python33-3.3.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b386b8f94

Comment 4 Fedora Update System 2016-09-28 05:58:04 UTC
python33-3.3.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-51cbf54405

Comment 5 Fedora Update System 2016-09-28 06:26:10 UTC
python33-3.3.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0aa94b66eb

Comment 6 Fedora Update System 2016-10-03 20:19:29 UTC
python33-3.3.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Petr Viktorin 2016-10-04 11:29:26 UTC
I finally got around to testing this on f25. `python33 -m test` gives 3 errors:

- test_compileall (test_no_args_respects_force_flag: failure in subprocess)
- test_ftplib (test_auth_ssl: SSLV3_ALERT_HANDSHAKE_FAILURE)
- test_faulthandler (hangs)
- test_ssl (test_protocol_sslv3, test_options)

Are those expected?

Comment 8 Miro Hrončok 2016-10-04 13:04:48 UTC
SSL related failures are expected. The others, not sure. Feel free to dig into it, but I don't think that's a stopper.

Comment 9 Fedora Update System 2016-10-05 06:22:26 UTC
python33-3.3.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-10-09 02:49:18 UTC
python33-3.3.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.